"use strict";
const common_vendor = require("../../common/vendor.js");
const VoiceCheckModal = () => "../components/voice-check-modal.js";
const _sfc_main = {
  components: {
    VoiceCheckModal
  },
  data() {
    return {
      isAgreed: false,
      showVoiceCheck: false
    };
  },
  methods: {
    toggleAgreement() {
      this.isAgreed = !this.isAgreed;
    },
    startInterview() {
      if (!this.isAgreed) {
        common_vendor.index.showToast({
          title: "请先同意面试须知",
          icon: "none"
        });
        return;
      }
      this.showVoiceCheck = true;
    },
    onVoiceCheckComplete() {
      this.showVoiceCheck = false;
      common_vendor.index.navigateTo({
        url: "/pages/preview/preview",
        fail: (err) => {
          console.error("页面跳转失败:", err);
          common_vendor.index.showToast({
            title: "页面跳转失败",
            icon: "none"
          });
        }
      });
    }
  }
};
if (!Array) {
  const _component_voice_check_modal = common_vendor.resolveComponent("voice-check-modal");
  _component_voice_check_modal();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: $data.isAgreed,
    b: common_vendor.o((...args) => $options.toggleAgreement && $options.toggleAgreement(...args)),
    c: common_vendor.o($options.onVoiceCheckComplete),
    d: common_vendor.p({
      visible: $data.showVoiceCheck
    }),
    e: !$data.isAgreed,
    f: common_vendor.o((...args) => $options.startInterview && $options.startInterview(...args))
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
