"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  data() {
    return {
      currentIndex: 0,
      isLastSlide: false,
      guideImages: [
        {
          url: "https://data.qicai321.com/minlong/85fbafbd-1b80-48cd-bcd6-fc4911e9ff54.jpg",
          description: "左手手掌"
        },
        {
          url: "https://data.qicai321.com/minlong/17d141e0-8f99-4a54-a534-f6b954c600f8.png",
          description: "左手手背"
        },
        {
          url: "https://data.qicai321.com/minlong/5c7d7d6f-5e14-4cd6-bb9f-11509473a8bb.png",
          description: "左手握拳"
        },
        {
          url: "https://data.qicai321.com/minlong/148eea00-21b4-49e1-a3b6-712fff08a5a8.png",
          description: "右手手掌"
        },
        {
          url: "https://data.qicai321.com/minlong/c67c303e-91c0-4e79-8e82-84096435481f.png",
          description: "右手手背"
        },
        {
          url: "https://data.qicai321.com/minlong/5a093f70-d397-4a36-9539-a8b4d11e0a13.png",
          description: "右手握拳"
        }
      ],
      instructions: [
        "第1步：请按图示展示左手手掌",
        "第2步：请按图示展示左手手背",
        "第3步：请按图示展示左手握拳",
        "第4步：请按图示展示右手手掌",
        "第5步：请按图示展示右手手背",
        "第6步：请按图示展示右手握拳"
      ]
    };
  },
  computed: {
    currentInstruction() {
      return this.instructions[this.currentIndex];
    }
  },
  methods: {
    handleSwiperChange(e) {
      this.currentIndex = e.detail.current;
      this.isLastSlide = this.currentIndex === this.guideImages.length - 1;
    },
    handleConfirm() {
      if (this.isLastSlide) {
        common_vendor.index.navigateTo({
          url: "/pages/interview/interview"
        });
      } else {
        common_vendor.index.showToast({
          title: "请查看完所有说明",
          icon: "none"
        });
      }
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.f($data.guideImages, (item, index, i0) => {
      return {
        a: item.url,
        b: common_vendor.t(item.description),
        c: index
      };
    }),
    b: common_vendor.o((...args) => $options.handleSwiperChange && $options.handleSwiperChange(...args)),
    c: common_vendor.t($data.isLastSlide ? "我知道了，开始采集" : "请查看完所有说明"),
    d: !$data.isLastSlide ? 1 : "",
    e: !$data.isLastSlide,
    f: common_vendor.o((...args) => $options.handleConfirm && $options.handleConfirm(...args))
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
