"use strict";
const common_vendor = require("../../common/vendor.js");
const common_config = require("../../common/config.js");
const _sfc_main = {
  data() {
    return {
      interviewInfo: {
        position: "",
        startTime: "",
        endTime: "",
        company: ""
      }
    };
  },
  onLoad() {
    this.completeInterview();
  },
  methods: {
    async completeInterview() {
      try {
        const completeResult = await common_vendor.index.request({
          url: `${common_config.apiBaseUrl}/api/job/complete_interview`,
          method: "POST",
          data: {
            "application_id": JSON.parse(common_vendor.index.getStorageSync("appId")),
            "tenant_id": JSON.parse(common_vendor.index.getStorageSync("userInfo")).tenant_id
          }
        });
        const analysisResult = await common_vendor.index.request({
          url: `${common_config.apiBaseUrl}/api/job/trigger_comprehensive_analysis`,
          method: "POST",
          data: {
            "application_id": JSON.parse(common_vendor.index.getStorageSync("appId")),
            "tenant_id": JSON.parse(common_vendor.index.getStorageSync("userInfo")).tenant_id
          }
        });
      } catch (error) {
      }
    },
    goBack() {
      common_vendor.index.switchTab({
        url: "/pages/index/index"
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.o((...args) => $options.goBack && $options.goBack(...args))
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
